import Dockerode from 'dockerode';
export default class Volume {
    private readonly _BASE_IMAGE_NAME;
    private readonly docker;
    private readonly name;
    constructor(docker: Dockerode);
    create(): Promise<void>;
    destroy(): Promise<void>;
    getName(): string;
    put(srcRoot: string, srcPaths: string[], destPath: string): Promise<void>;
}
